# ini file for teh modified s0beit haxx
#
# **** ERRORS ARE LOGGED TO s0beit_hack.log ****
#
# File format:
#
# variable_name = value       assigns "value" to "variable_name"
# array_name[index] = value   assigns "value" to array_name[index]
# array_name[] = value        assigns "value" to the first free index in the array
#
# Entries ending with a backslash ('\') continue on the next line.
#
# Lines starting with '#' or ';' are ignored.
#
# \ escapes " within strings, eg "foo \"bar\" baz"
#
#
# Valid hotkey names include:
#
#   a-z, 0-9
#   lbutton, rbutton, mbutton (mouse buttons)
#   backspace, tab, return
#   lshift, rshift, lctrl, rctrl, lalt, ralt
#   space, pageup, pagedn, end, home
#   left, up, right, down
#   insert, delete, pause
#   np0-9 (numpad 0-9)
#   multiply, add, separator, subtract, decimal, divide
#   f1-f24
#   oem_plus, oem_comma, oem_minus, oem_period (non-numpad keys)
#   &num (where num is the key's constant number, in decimal, see URL below)
#   oem_1-oem_8:
#
# VK_OEM_1: Windows 2000/XP: For the US standard keyboard, the ';:' key
# VK_OEM_2: Windows 2000/XP: For the US standard keyboard, the '/?' key
# VK_OEM_3: Windows 2000/XP: For the US standard keyboard, the '`~' key
# VK_OEM_4: Windows 2000/XP: For the US standard keyboard, the '[{' key
# VK_OEM_5: Windows 2000/XP: For the US standard keyboard, the '\|' key
# VK_OEM_6: Windows 2000/XP: For the US standard keyboard, the ']}' key
# VK_OEM_7: Windows 2000/XP: For the US standard keyboard, the 'single-quote/double-quote' key
# VK_OEM_8: Used for miscellaneous characters; it can vary by keyboard.
#
# See:
# http://msdn.microsoft.com/library/default.asp?url=/library/en-us/winui/winui/WindowsUserInterface/UserInput/VirtualKeyCodes.asp
# for more information about keys
#
# Use &0 to disable a hotkey
#


# ====================
# Toggle invincibility
# ====================
#
key_hp_cheat = insert

# In god mode, never go below this amount of HP (set to < 1000.0 to make cheating harder to spot)
# (0.0 = dead, 1000.0 = full HP)
#
# Really high values above 1000 will make you invulnerable to missiles, etc..
# The HP bar seems to range from ~275 to 1000.
#
# NOTE: This is for vehicles only.
#
hp_minimum = 250000.0

# Damage reduction in %
# Negative values will reverse the effect (eg. -25.0 = you take 25% more damage)
#
# NOTE: This is for vehicles only.
#
hp_damage_reduce = 100.0

# HP Regeneration, HP per second (you have 1000 HP)
#
# 1000 / 60 = 16.666, fully regenerate all HP in 60 seconds
#
# NOTE: This is for vehicles only.
#
hp_regen = 0

# Indestructible
#
# This will protect you from most damage. This includes
# all kinds of weapon damage, fall damage, collision damage,
# flying into mountains, etc. You can still drown, and your
# car will take damage when it has flipped over.
#
# And for some reason, it does not work on boats.
#
# NOTE: This is for vehicles and when on foot.
#
hp_indestructible = true

# When going below a certain HP value, warp to the nearest safe haven.
#
# A safe haven is a place where it is ok to regenerate HP...
# such as... candy machines. ;p
#
# When warped there, your HP will be fully restored, and after
# 1 second (configurable) you will be warped back to your previous
# position.
#
# A list of safe haven coordinates can be found in s0biet_hack_safe_haven.ini
#
# Set to something below 1.0 to disable, such as 0.0.
#
# 100.0 = Full HP, 0.0 = Dead.
#
key_safe_haven=&0
hp_safe_haven_warp_below = 0.0


# ==============
# Air break keys
# ==============
#
# key_air_break_foot_mod is the key to use when on foot.
#
key_air_break_mod      = lshift
key_air_break_foot_mod = rshift
key_air_break_mod2     = &0
key_air_break_forward  = w
key_air_break_backward = s
key_air_break_left     = a
key_air_break_right    = d
key_air_break_up       = up
key_air_break_down     = down

# Air break rotation keys
#

# Yaw (aka turn left/right)
#
key_air_break_rot_yaw1 = h
key_air_break_rot_yaw2 = k

# Roll (left/right)
#
key_air_break_rot_roll1 = n
key_air_break_rot_roll2 = m

# Pitch (aka up/down)
#
key_air_break_rot_pitch1 = u
key_air_break_rot_pitch2 = j

# Air break key mode
#
# If set to true, key_air_break_mod toggle air break mode on and off.
# key_air_break_mod2 will also become a toggle-key.
#
air_break_toggle = true

# Air break behaviour
#
# 0 - original s0beit - simple x/y/z addition
# 1 - up/down moves along z-axis, others move in the car's direction
# 2 - full 3d movement (default)
#
air_break_behaviour = 2

# Speed multiplier for movement (Units per second)
#
air_break_speed = 100.0

# Speed multiplier for rotation (full turns per second)
#
air_break_rot_speed = 0.4

# Time to full speed (in seconds)
#
air_break_accel_time = 1.0



# ========
# Warp key
# ========
#
# Also known as one-hit-kill.
#
key_warp_mod = r

# Warp speed modified (1.2 ~= regular car max speed)
#
warp_speed = 7.0

# Use speed vector
#
# If set to true, the direction in which the vehicle is heading
# will be used, instead of the direction in which the vehicle is
# pointing.. but only _if_ the vehicle actually is moving.
# If the vehicle is not moving, the direction in which the
# vehicle is pointing is always used.
#
# If set to false, the car's direction is always used.
#
warp_use_speed = true



# =================
# In-game menu keys
# =================
#
key_menu        = f11
key_menu_up     = up
key_menu_right  = right
key_menu_down   = down
key_menu_left   = left
key_menu_select = return


# ========
# Teleport
# ========
#
# Up to 10 teleports are supported. If any of key_teleport(_set)
# through 10 are set to &0, they are disabled.
#
# Preset locations
#
# Format: x y z interior_id
# If set to "0.0 0.0 0.0 0" they are considered to be disabled.
#
key_teleport[0]     = multiply
key_teleport_set[0] = divide
teleport_pos[0]     = 0.0 0.0 0.0  0

# Ammunation near teh four dragons casino in las venturas
key_teleport[1]     = 7
key_teleport_set[1] = &0
teleport_pos[1]     = 2154.70 953.50 10.50  0

key_teleport[2]     = 8
key_teleport_set[2] = &0
teleport_pos[2]     = 0.0 0.0 0.0  0

key_teleport[3]     = 9
key_teleport_set[3] = &0
teleport_pos[3]     = 0.0 0.0 0.0  0

key_teleport[4]     = 0
key_teleport_set[4] = &0
teleport_pos[4]     = 0.0 0.0 0.0  0



# =========================
# Static teleport locations
# =========================
#
# These are accessible from the in-game menu.
#
# No more than 200 teleport locations can be defined ([0] -> [199])
#
static_teleport_name[] = "Airport Garage in Verdant Meadows"
static_teleport_pos[]  = 403.58 2486.33 17.23   0
static_teleport_name[] = "Airport Plane Garage in Las Venturas"
static_teleport_pos[]  = 1578.24 1245.20 11.57   0
static_teleport_name[] = "Commerce Region, Loading Bay Garage"
static_teleport_pos[]  = 1641.14 -1526.87 14.30   0
static_teleport_name[] = "Eight Ball Autos near El Corona"
static_teleport_pos[]  = 1836.93 -1856.28 14.13   0
static_teleport_name[] = "LowRider Tuning Garage in Willowfield"
static_teleport_pos[]  = 2645.61 -2029.15 14.28   0
static_teleport_name[] = "Michelles Pay 'n' Spray in Downtown"
static_teleport_pos[]  = -1787.25 1202.00 25.84   0
static_teleport_name[] = "Transfender in Temple"
static_teleport_pos[]  = 1041.26 -1036.77 32.48   0
static_teleport_name[] = "Transfender in come-a-lot"
static_teleport_pos[]  = 2387.55 1035.70 11.56   0
static_teleport_name[] = "Transfender near Wang Cars in Doherty"
static_teleport_pos[]  = -1935.77 228.79 34.16   0
static_teleport_name[] = "Welding Wedding Bomb-workshop in Emerald Isle"
static_teleport_pos[]  = 2006.11 2292.87 11.57   0
static_teleport_name[] = "Wheel Archangels in Ocean Flats"
static_teleport_pos[]  = -2707.48 218.65 4.93   0
static_teleport_name[] = "Pay 'n' Spray in Dillimore"
static_teleport_pos[]  = 720.10 -470.93 17.07   0
static_teleport_name[] = "Pay 'n' Spray in El Quebrados"
static_teleport_pos[]  = -1420.21 2599.45 56.43   0
static_teleport_name[] = "Pay 'n' Spray in Fort Carson"
static_teleport_pos[]  = -100.16 1100.79 20.34   0
static_teleport_name[] = "Pay 'n' Spray in Idlewood"
static_teleport_pos[]  = 2078.44 -1831.44 14.13   0
static_teleport_name[] = "Pay 'n' Spray in Juniper Hollow"
static_teleport_pos[]  = -2426.89 1036.61 51.14   0
static_teleport_name[] = "Pay 'n' Spray in Redsands East"
static_teleport_pos[]  = 1957.96 2161.96 11.56   0
static_teleport_name[] = "Pay 'n' Spray in Santa Maria Beach"
static_teleport_pos[]  = 488.29 -1724.85 12.01   0
static_teleport_name[] = "Pay 'n' Spray in Temple"
static_teleport_pos[]  = 1025.08 -1037.28 32.28   0
static_teleport_name[] = "Pay 'n' Spray near Royal Casino"
static_teleport_pos[]  = 2393.70 1472.80 11.42   0
static_teleport_name[] = "Pay 'n' Spray near Wang Cars in Doherty"
static_teleport_pos[]  = -1904.97 268.51 41.04   0
static_teleport_name[] = "Police Garage in DownTown"
static_teleport_pos[]  = -1617.58 688.69 -4.50   0
static_teleport_name[] = "Player Garage: Calton Heights"
static_teleport_pos[]  = -2105.79 905.11 77.07   0
static_teleport_name[] = "Player Garage: Derdant Meadows"
static_teleport_pos[]  = 423.69 2545.99 17.07   0
static_teleport_name[] = "Player Garage: Dillimore "
static_teleport_pos[]  = 785.79 -513.12 17.44   0
static_teleport_name[] = "Player Garage: Doherty"
static_teleport_pos[]  = -2027.34 141.02 29.57   0
static_teleport_name[] = "Player Garage: El Corona"
static_teleport_pos[]  = 1698.10 -2095.88 14.29   0
static_teleport_name[] = "Player Garage: Fort Carson"
static_teleport_pos[]  = -361.10 1185.23 20.49   0
static_teleport_name[] = "Player Garage: Hashbury"
static_teleport_pos[]  = -2463.27 -124.86 26.41   0
static_teleport_name[] = "Player Garage: Johnson House"
static_teleport_pos[]  = 2505.64 -1683.72 14.25   0
static_teleport_name[] = "Player Garage: Mulholland"
static_teleport_pos[]  = 1350.76 -615.56 109.88   0
static_teleport_name[] = "Player Garage: Palomino Creek"
static_teleport_pos[]  = 2231.64 156.93 27.63   0
static_teleport_name[] = "Player Garage: Paradiso"
static_teleport_pos[]  = -2695.51 810.70 50.57   0
static_teleport_name[] = "Player Garage: Prickle Pine"
static_teleport_pos[]  = 1293.61 2529.54 11.42   0
static_teleport_name[] = "Player Garage: Redland West"
static_teleport_pos[]  = 1401.34 1903.08 11.99   0
static_teleport_name[] = "Player Garage: Rockshore West"
static_teleport_pos[]  = 2436.50 698.43 11.60   0
static_teleport_name[] = "Player Garage: Santa Maria Beach"
static_teleport_pos[]  = 322.65 -1780.30 5.55   0
static_teleport_name[] = "Player Garage: Whitewood Estates"
static_teleport_pos[]  = 917.46 2012.14 11.65   0



# ======================
# Nitro / Constant speed
# ======================
#
# Unlike the original s0beit, this nitro will not keep accelerating
# towards the speed of light, but rather keep a constant high speed.
#
key_nitro_mod = lalt

# Speed multiplier at full speed
#
# 1.25 = as fast or faster than most vehicles. Higher = faster.
#
nitro_high = 1.30

# Reduce to this speed multiplier when the key is released
#
nitro_low = 0.75

# Time in seconds to accelerate from 0 to full speed
#
nitro_accel_time = 0.8

# Time in seconds to decelerate from full speed to reduced speed
#
nitro_decel_time = 0.5

# To disable nitro deceleration, set nitro_low to the same value
# as nitro_high, and nitro_decel_time to 0.



# ==========
# Unflip car
# ==========
#
# Unflips the car. If held down, the car will rotate.
#
key_unflip = delete



# =============================
# Toggle stick-to-other-players
# =============================
#
key_stick = end

# Keys to switch between players
#
key_stick_prev = pageup
key_stick_next = pagedn

# Key to stick to the nearest car
#
key_stick_nearest = home

# When sticking to players, don't go below this z-value.
#
stick_min_height = -100.0

# Stick vector + distance
#
# The vector is automatically normalized. They can also be modified
# with in-game keys, so you probably don't want to touch these.
#
# Examples:
# Stay slightly above other players:    vect= 0.0  0.0  1.0  dist=7.0
# Stay slightly below other players:    vect= 0.0  0.0 -1.0  dist=7.0
# Stay slightly ahead of other players: vect= 0.0  1.0  0.0  dist=7.0
# Stay slightly behind & above:         vect= 0.0 -1.0  1.0  dist=7.0
# Side-kick: vect= 1.0 0.5  0.5  dist=7.0
#
stick_vect      = 0.0 -1.0 0.5
stick_vect_dist = 10.0

# Note:
# When in stick-to-car mode, the warp key will always warp towards
# the car you're following.

# Keys to control stick position in-game
#
key_stick_forward  = w
key_stick_backward = s
key_stick_left     = a
key_stick_right    = d
key_stick_up       = up
key_stick_down     = down

# Move towards / away
#
key_stick_in  = u
key_stick_out = j

# Acceleration time for control keys
#
stick_accel_time = 1.0



# ===============
# Checkpoint warp
# ===============
#
# Sorry, there's no auto-win feature..
#
key_checkpoint_1 = &0
key_checkpoint_2 = &0

# Minimum height
#
checkpoint_min_height = -100.0


# =======================
# Toggle misc protections
# =======================
#
key_protection = decimal

# Prevent the car from spinning too fast
#
protection_spin_cap = 0.25

# Prevent the car from going below a certain point
#
protection_min_height = -100.0



# =============
# Self destruct
# =============
#
# Holding this key down will eventually cause you to explode.
#
key_self_destruct = f3



# ===============
# Toggle auto aim
# ===============
#
# Keeps your crosshair locked on the nearest player or car.
#
# Only works when on foot, or as a car passenger
#
key_autoaim = r



# ==========
# Toggle map
# ==========
#
# Toggles teh map
#
key_map = m



# ==================
# Toggle money cheat
# ==================
#
key_money = f2

# Enable money cheat by default?
#
money_enabled = false

# Max $$$. Up to an additional 50% $$$ (random) will be
# added to this value to prevent easy detection.
money_amount_max = 100000

# Receive money_amount_rand_min>-<max> $$$ every
# <interval_rand_min>-<max> seconds.
# The amount of money that is added is rounded to the nearest $100.
#
money_amount_rand_min   = 500
money_amount_rand_max   = 5000
money_interval_rand_min = 10
money_interval_rand_max = 30



# ===========
# Weapon haxx
# ===========
#
# Key to enable infinite ammo + equip all weapons chosen below.
#
key_weapon = f5

# Enable weapon cheat by default?
#
weapon_enabled = false


# Weapons
#
# Note that some weapons do not work. If you don't appear
# to be doing any damage in the game, then the weapon is
# most likely not working.
#
# The default settings only include weapons that work.
#

#weapon_slot[0]   = "Brass Knuckles"
weapon_slot[0]   = "Fist"

#weapon_slot[1]  = "Golf Club"
#weapon_slot[1]  = "Nitestick"
#weapon_slot[1]  = "Knife"
#weapon_slot[1]  = "Baseball Bat"
#weapon_slot[1]  = "Shovel"
#weapon_slot[1]  = "Pool Cue"
#weapon_slot[1]  = "Katana"
#weapon_slot[1]  = "Chainsaw"

#weapon_slot[2]  = "Pistol"
weapon_slot[2]  = "Silenced Pistol"
#weapon_slot[2]  = "Desert Eagle"

#weapon_slot[3]  = "Shotgun"
weapon_slot[3]  = "Sawn-Off Shotgun"
#weapon_slot[3]  = "SPAZ12"

#weapon_slot[4]  = "Micro UZI"
#weapon_slot[4]  = "MP5"
weapon_slot[4]  = "Tech9"

#weapon_slot[5]  = "AK47"
#weapon_slot[5]  = "M4"

# Do not work(?)
#weapon_slot[6]  = "Country Rifle"
#weapon_slot[6]  = "Sniper Rifle"

#weapon_slot[7]  = "Rocket Launcher"
#weapon_slot[7]  = "Heat Seeking RPG"
#weapon_slot[7]  = "Flame Thrower"
weapon_slot[7]  = "Minigun"

#weapon_slot[8]  = "Grenade"
#weapon_slot[8]  = "Teargas"
#weapon_slot[8]  = "Molotov Cocktail"
weapon_slot[8]  = "Remote Explosives"

#weapon_slot[9]  = "Spray Can"
weapon_slot[9]  = "Fire Extinguisher"
#weapon_slot[9]  = "Camera"

#weapon_slot[10] = "Dildo 1"
#weapon_slot[10] = "Dildo 2"
#weapon_slot[10] = "Vibe 1"
#weapon_slot[10] = "Vibe 2"
#weapon_slot[10] = "Flowers"
#weapon_slot[10] = "Cane"

#weapon_slot[11] = "NV Goggles"
#weapon_slot[11] = "IR Goggles"
#weapon_slot[11] = "Parachute"

weapon_slot[12] = "Detonator"



# =================
# Force ingame time
# =================
#
# Set to -1 to disable
#
force_hour = 13



# =============
# Force weather
# =============
#
# Set to -1 to disable.
#
# http://gtamodding.com/index.php?title=Memory_Addresses_%28SA%29#Weather_Codes
#
force_weather = -1



# ============
# D3D Text HUD
# ============
#
# This can be toggled from the in-game menu as well.
#
d3dtext_hud = true



# ==============
# Chat detection
# ==============
#
# Set this to true to have all cheat hotkeys disable when T is
# pressed, and re-enabled when enter or F6 is pressed.
#
# Set to false to disable.
#
inchat_disable = true



# ===========
# Window Mode
# ===========
#
# If window_mode & window_mode_titlebar are both enabled, make sure
# that your desktop screen resolution is HIGHER than the in-game resolution.
# Otherwise the titlebar will not fit on your screen. :p
#
window_mode          = false
window_mode_titlebar = true



# ==================
# Remove blur effect
# ==================
#
blur_remove = false



# ========================
# Use the old keyhook code
# ========================
#
# There is a bug (which I am unable to reproduce) in the new
# keyhook code, which sometimes causes keys to get stuck.
#
# Note: The new keyhook code is better (when it works ;).
# Note: The old keyhook can not filter out keys sent to the in-game menu.
#
old_keyhook = false



# ==========================
# Misc default menu settings
# ==========================
#

# Unlock vehicle doors?
#
vehicles_unlock = false

# Warp vehicles to you?
#
vehicles_warp_invert = true



# ========================
# Simple byte code patcher
# ========================
#
# Format: name hotkey enable { base_dll address original_data replace_data }
#
# name          - A name. :p
# hotkey        - Hotkey to toggle this patch.
# enable        - Whether or not to install this patch automatically.
# {
# base_dll      - The DLL which the address is relative to,
#                 or empty for absolute addresses. Example: "samp.dll"
# address       - An address. Prefix with 0x for hex addresses.
# original_data - Compare the data at the address with this. If it
#                 does not match, no patching is done. It must be
#                 the same size as "replace_data", or be empty in which
#                 case patching is always done. (In hex)
# replace_data  - Data to write to the address. (In hex)
# }
#
# All 4 arguments inside the { } brackets, can be repeated up 16 times;
# this allows patching multiple addresses within a single patch.
# See the "Allow weapons inside" patch for an example.
#
# These patches are accessible from the in-game menu.
#
# They are not reloaded on .ini reloads.
#
# Limited to 128 patches.
#

# Always allow weapon switching (by s0beit)
#
patch[] = "Allow weapons inside" &0 0 \
          "" 0x0047D4DE "C6412000"       "90909090"       \
          "" 0x0060D9BA "C6422000"       "90909090"       \
          "" 0x00478E02 "C6801D01000001" "C6801D01000000"

# Don't fall off bikes (by CrazyT)
#
patch[] = "Anti bike fall off" &0 0 \
          "" 0x004BA3B9 "0F84A6030000" "E9A703000090"

# Walk / drive / fly under water (by s0beit)
#
patch[] = "Walk under water" &0 0 "" 0x006C2759 "00" "01"

# Prevent admins from freezing you
#
patch[] = "Prevent admin freezing" &0 0 \
          "samp.dll" 0x00007860 "6AFF" "C390"

# GTA cheats
#
# To enable any of these by default, change the 0 to 1.
#
patch[] = "GTA: Cars can fly"             f10 0 "" 0x00969160 "" "01"
patch[] = "GTA: Boats can fly"            f10 0 "" 0x00969153 "" "01"
patch[] = "GTA: All cars have nitro"      &0  0 "" 0x00969165 "" "01"
patch[] = "GTA: Infinite ammo, no reload" &0  0 "" 0x00969178 "" "01"
patch[] = "GTA: Perfect handling"         &0  0 "" 0x096914C0 "" "01"
patch[] = "GTA: Mega jump"                &0  0 "" 0x0096916C "" "01"
patch[] = "GTA: Wheels only"              &0  0 "" 0x0096914B "" "01"
patch[] = "GTA: Tank mode"                &0  0 "" 0x00969164 "" "01"
patch[] = "GTA: Cars float away when hit" &0  0 "" 0x00969166 "" "01"
patch[] = "GTA: Full Weapon aiming"       &0  0 "" 0x00969179 "" "01"
patch[] = "GTA: Infinite oxygen"          &0  0 "" 0x0096916E "" "01"
#                                             ^ change to 1 to enable by default

# Remove the SA:MP cheat protection (you want this)
#
patch[] = "Remove SA:MP cheat prot." &0 1 \
          "samp.dll" 0x00011A2F "E80CDBFFFF" "9090909090"

# Enable the /vehicle command (mostly just for fun, vehicles are not synced)
#
patch[] = "Enable /vehicle <id>" &0 1 \
          "samp.dll" 0x0000A8EB "0F84EC000000" "909090909090"
